> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Observation Stats



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/competitor_prices/stats
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/competitor_prices/stats:
    get:
      tags:
        - competitor_prices
      summary: Observation Stats
      operationId: observation_stats_v1_competitor_prices_stats_get
      parameters:
        - name: listing_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
                minLength: 1
              - type: 'null'
            title: Listing Id
        - name: competitor_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
                minLength: 1
              - type: 'null'
            title: Competitor Id
        - name: competitor_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 256
              - type: 'null'
            title: Competitor Name
        - name: item_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
                minLength: 1
              - type: 'null'
            title: Item Id
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 256
              - type: 'null'
            title: Search
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Since
        - name: until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Until
        - name: updated_since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated Since
        - name: include_deleted
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Deleted
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 4096
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            title: Limit
            default: 100
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObservationStats'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ObservationStats:
      properties:
        external_org_id:
          type: string
          format: uuid
          title: External Org Id
        total:
          type: integer
          minimum: 0
          title: Total
        last_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated At
      additionalProperties: false
      type: object
      required:
        - external_org_id
        - total
      title: ObservationStats
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.